<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|                                           |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 22/10/2006 Time: 10:00 PM  |
+===========================================+
*/

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

echo "<table border=0 width=80% cellspacing=2 cellpadding=6><tr>
<td align=right class=datacell>
<b>سيتم تثبيت البرنامج الان ...</b><br><br>";

include("./../modules/$module/admin/information.php");
$line = "INSERT INTO rafia_mods VALUES ('', '$module', '$mod_title', '$mod_user', 1, '$left_menu', '$right_menu','0','$menuid',1,1,0)";
if(!$apt->query($line)) {
$query_cid = $k+1;
echo "<table>";
echo "<tr>";
echo "<td><b>عفوا حدث خطأ: </b> عفوا .. الاستعلام رقم  $query_cid  لم يتم تفعيله وذلك بسبب:.<br>\n</td>";
echo "</tr>";
echo "<tr>";
print "<td dir=ltr>" . mysql_error() . '</td>';
echo "</tr>";
echo "<tr>";
echo "<td><b>نص الاستعلام :</b></td>";
echo "</tr>";
echo "<tr>";
echo "<td align=left>$line</td>";
echo "</tr>";
$admin->closetable2();

print "<hr noshade size=\"1\">\n";
$false = true;
}

if(!$false == true){
$modid    	= $apt->insertid();
$mod  	= $module;
$theme    	= "الافتراضي";
$themename = "./../modules/allah/admin/allah.theme";
$filesize = @filesize($themename);
$filenum  = @fopen($themename,"r");
$filetemp = @fread($filenum,$filesize);
@fclose($filenum);

$design_temp    = explode("|--|",$filetemp);

$result  = $apt->query("SELECT `themeid` FROM `rafia_mods_templates` where modid='$modid' ORDER BY `themeid` DESC limit 1;");
$row=$apt->dbarray($result);
@extract($row);
$themeid = $themeid + 1;
	$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '1', '$themeid', '', '$modid', '$mod', '$theme', '', '');");

$count    = count($design_temp);
for ($i = 1; $i < $count; $i++){
       $exp     = explode("<=>",$design_temp[$i]);
       $exp[1] = $admin->format_data($exp[1]);
$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '0', '0', '$themeid', '$modid', '$mod', '', '$exp[0]', '$exp[1]');");
}
}

if($false == true){$wrong='انتهى التثبيت و لكن ظهرت بعض الاخطاء ... يرجى طلب الدعم الفني مع ذكر رسالة الخطأ ورقم الاستعلام';}else{
$wrong='انتهى التثبيت بنجاح';}

echo "<center>$wrong<br><hr><a href=mod.php?act=set&" . $admin->get_sess(). "><b>العودة الى قائمة البرامج الاضافية</b></a></center></td></tr></table>";

?>